Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.instance
Class InstanceContextImpl

    java.lang.Object
      org.jboss.portal.core.impl.model.instance.InstanceContextImpl

All Implemented Interfaces:
  InstanceContext

    public class InstanceContextImpl

extends java.lang.Object
implements InstanceContext

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`protected AccessMode` | `accessMode` .
`protected PortletContext` | `clonedContext` .
`protected Instance` | `instance` .
`protected PortletContext` | `modifiedContext` .

Constructor Summary
`InstanceContextImpl(Instance instance, AccessMode accessMode)`

Method Summary
`AccessMode` | `getAccessMode()` Return the access mode to this portlet instance.
`java.lang.String` | `getId()` Return an id that can differenciate instances.
`void` | `onStateEvent(StateEvent event)` A state event occured.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    protected final Instance instance

  .

### accessMode

    protected AccessMode accessMode

  .

### clonedContext

    protected PortletContext clonedContext

  .

### modifiedContext

    protected PortletContext modifiedContext

  .

Constructor Detail

### InstanceContextImpl

    public InstanceContextImpl(Instance instance,
                               AccessMode accessMode)

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `InstanceContext`
  Return an id that can differenciate instances.

  Specified by:
    `getId` in interface `InstanceContext`
  Returns:
    the instance id

### getAccessMode

    public AccessMode getAccessMode()

  Description copied from interface: `InstanceContext`
  Return the access mode to this portlet instance.

  Specified by:
    `getAccessMode` in interface `InstanceContext`
  Returns:
    the access mode

### onStateEvent

    public void onStateEvent(StateEvent event)

  Description copied from interface: `InstanceContext`
  A state event occured.

  Specified by:
    `onStateEvent` in interface `InstanceContext`
  Parameters:
    `event` - the event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD